
{% extends "base.html" %}

{% block content %}

{% load static %}

<body>
    <div class="container">
        <div>
            <h1 id="fav-header">Favorite Books Recommendation</h1>
        </div>
        <div class="row">
            <div class="col-sm-4"></div>
            <figure id="star-img" class="col-sm-2" align="middle">
                <img src="{% static 'images/goldStar.png' %}" alt="Favorite: " style=" width: 45px; height: 45px;"/>
                <figcaption id="fav_count">{{fav_count}}</figcaption>
            </figure>
            <div class="col-sm-2" id="fav-search-box">
                <input id="search" class="search-txt" type="text" name="" placeholder="Search the book">
                <a class="search-btn">
                    <i class="fas fa-search" style="cursor:pointer;"></i>
                </a>
            </div>
            <div class="col-sm-4"></div>
        <div id="loading" style="display:none; color:white; align-text:center;">
            <h2><center>Wait a minute...</center></h2>
        </div>  
        <div id="table-book" class="table-responsive" style="display:none;">
            <table class="table table-hover">
                <thead>
                    <tr class="table-success">
                        <th scope="col">Title</th>
                        <th scope="col">Author</th>
                        <th scope="col">Publisher and Published Date</th>
                        <th scope="col">Page Count</th>
                        <th scope="col">Description</th>
                        <th scope="col">Add to Favorite</th>
                    </tr>
                </thead>
                <tbody id="book_list"></tbody>
            </table>
        </div>
    </div>
</body>

<script>const static_path = "{% static '' %}";</script>
<script src="{% static 'js/favbook.js' %}"></script>

{% endblock %}